> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pineyard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# One rep’s coaching detail

**Required scope:** `speech.view`


## OpenAPI

````yaml /api-reference/openapi.json get /speech/people/{id}
openapi: 3.0.3
info:
  title: Pineyard API
  version: 1.0.0
  description: >-
    Programmatic access to agents, campaigns, calls, phone numbers, WhatsApp and
    results in your Pineyard workspace.
servers:
  - url: https://api.pineyard.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /speech/people/{id}:
    get:
      summary: One rep’s coaching detail
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: false
          name: from
          in: query
        - schema:
            type: string
          required: false
          name: to
          in: query
        - schema:
            type: string
          required: false
          name: teamId
          in: query
        - schema:
            type: string
          required: false
          name: repId
          in: query
        - schema:
            type: string
          required: false
          name: scorecardId
          in: query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  rep:
                    type: object
                    properties:
                      repId:
                        type: string
                      name:
                        type: string
                      teamId:
                        type: string
                        nullable: true
                      teamName:
                        type: string
                        nullable: true
                      calls:
                        type: number
                      averageScore:
                        type: number
                        nullable: true
                      convertedRate:
                        type: number
                        nullable: true
                      classifiedSample:
                        type: number
                      totalDuration:
                        type: number
                      tier:
                        type: string
                        enum:
                          - strong
                          - solid
                          - developing
                          - needs_support
                          - unrated
                    required:
                      - repId
                      - name
                      - teamId
                      - teamName
                      - calls
                      - averageScore
                      - convertedRate
                      - classifiedSample
                      - totalDuration
                      - tier
                  weaknesses:
                    type: array
                    items:
                      type: object
                      properties:
                        scorecardId:
                          type: string
                        criteriaId:
                          type: string
                        question:
                          type: string
                        sectionName:
                          type: string
                          nullable: true
                        missRate:
                          type: number
                          nullable: true
                        misses:
                          type: number
                        attempts:
                          type: number
                        workspaceLiftPoints:
                          type: number
                          nullable: true
                        opportunityScore:
                          type: number
                          nullable: true
                        examples:
                          type: array
                          items:
                            type: object
                            properties:
                              speechCallId:
                                type: string
                              rationale:
                                type: string
                            required:
                              - speechCallId
                              - rationale
                      required:
                        - scorecardId
                        - criteriaId
                        - question
                        - sectionName
                        - missRate
                        - misses
                        - attempts
                        - workspaceLiftPoints
                        - opportunityScore
                        - examples
                required:
                  - rep
                  - weaknesses
        '400':
          description: >-
            - `internal_error`: An unexpected error. A `400` with this code
            usually means the body is not valid JSON; a `413` means the body is
            larger than 1 MB.

            - `invalid_body`: The request body (or query) failed validation.
            Details are in `issues` (or `detail`). `422` on `POST
            /v1/campaigns/{campaignId}/leads`.
        '401':
          description: >-
            - `invalid_api_key`: The API key is unknown, revoked or expired, or
            its workspace was deleted.

            - `unauthorized`: No `Authorization: Bearer` header, or an empty
            token.
        '403':
          description: >-
            - `api_key_not_scoped`: A key issued without scopes was used outside
            `/v1`.

            - `api_key_owner_inactive`: The member the key acts for was removed
            or suspended.

            - `forbidden`: The key lacks the permission named in
            `requiredPermission`, or the resource belongs to another workspace.

            - `workspace_pending_approval`: The workspace has not been approved
            yet.

            - `workspace_suspended`: The workspace is suspended.
        '404':
          description: '- `rep_not_found`: Rep not found.'
        '413':
          description: >-
            - `internal_error`: An unexpected error. A `400` with this code
            usually means the body is not valid JSON; a `413` means the body is
            larger than 1 MB.
        '429':
          description: '- `rate_limited`: Too many requests.'
        '500':
          description: >-
            - `internal_error`: An unexpected error. A `400` with this code
            usually means the body is not valid JSON; a `413` means the body is
            larger than 1 MB.
        '502':
          description: >-
            - `provider_error`: The calling service rejected the request
            (`upstreamStatus` 4xx) or was unavailable (5xx).
        '503':
          description: '- `database_unavailable`: The service is temporarily unavailable.'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your API key, e.g. `pk_live_xxxxxxxxxxxxxxxxxxxxxxxx`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.